package com.yonge.cooleshow.biz.dal.enums.coupon;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.yonge.toolset.base.enums.BaseEnum;

/**
 * 优惠券使用状态
 * @author: Eric
 * @date: 2022-03-30
 */
public enum CouponUseStateEnum implements BaseEnum<String, CouponUseStateEnum> {


    EXPIRED("已失效"),
    USABLE("可使用"),
    USED("已使用"),
    WITHDRAW("撤回"),
    ;
    @EnumValue
    private String code;
    private String msg;

    CouponUseStateEnum(String msg) {
        this.code = this.name();
        this.msg = msg;
    }

    public String getCode() {
        return code;
    }

    public String getMsg() {
        return this.msg;
    }
}
